import { renderless, api } from '@opentinyvue/vue-renderless/slider-button/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["label", "events", "text", "disabled"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("label", {
    ref: "sliderButton",
    class: ["inline-flex relative outline-0 cursor-pointer items-center", _vm.state.size === "large" ? "m-1" : "m-0.5"],
    attrs: {
      "data-tag": "tiny-slider-button",
      "role": "radio",
      "aria-checked": _vm.state.value === (_vm.label || _vm.text),
      "tabindex": _vm.state.tabIndex
    }
  }, [_c("input", {
    directives: [{
      name: "model",
      rawName: "v-model",
      value: _vm.state.value,
      expression: "state.value"
    }],
    ref: "sliderInput",
    staticClass: "opacity-0 outline-0 absolute -z-10",
    attrs: {
      "type": "radio",
      "tabindex": "-1"
    },
    domProps: {
      "value": _vm.label || _vm.text,
      "checked": _vm._q(_vm.state.value, _vm.label || _vm.text)
    },
    on: {
      "change": [function($event) {
        return _vm.$set(_vm.state, "value", _vm.label || _vm.text);
      }, _vm.handleChange]
    }
  }), _c("span", {
    class: _vm.m("relative items-center text-center overflow-hidden text-ellipsis whitespace-nowrap cursor-pointer box-border", _vm.state.value !== (_vm.label || _vm.text) ? !_vm.state.disabled && "shadow-none text-color-text-secondary hover:text-color-brand" : !_vm.state.disabled && "text-color-brand active:text-color-brand", _vm.state.type === "icon" ? "flex items-center justify-center w-6 h-6 p-1 [&_svg]:w-6 [&_svg]:h-6" : "inline-block", _vm.state.size === "large" ? _vm.state.type === "icon" ? "w-10 h-10 p-2" : "h-10 px-4 min-w-[theme(spacing.12)] max-w-[theme(spacing.32)] text-sm leading-10" : _vm.state.type !== "icon" && "h-6 px-2 min-w-[theme(spacing.10)] max-w-[theme(spacing.28)] text-xs leading-6", _vm.state.size === "medium" ? _vm.state.type === "icon" ? "p-1 w-7 h-7 [&_svg]:w-4.5 [&_svg]:h-4.5" : "text-sm h-7 leading-7" : "", _vm.state.type === "icon" && _vm.state.value === (_vm.label || _vm.text) ? "fill-color-brand active:fill-color-brand" : "fill-color-none-hover active:fill-color-brand hover:fill-color-brand", _vm.state.value === (_vm.label || _vm.text) && _vm.state.disabled ? _vm.state.type === "icon" ? "fill-color-brand-disabled cursor-not-allowed" : "text-color-brand-disabled cursor-not-allowed" : "", _vm.state.value !== (_vm.label || _vm.text) && _vm.state.disabled ? _vm.state.type === "icon" ? "fill-color-icon-disabled cursor-not-allowed" : "text-color-text-disabled cursor-not-allowed" : ""),
    attrs: {
      "data-tag": "tiny-slider-button-text"
    },
    on: {
      "keydown": function keydown($event) {
        $event.stopPropagation();
      }
    }
  }, [_vm._t("default"), !_vm.slots.default ? [_vm._v(_vm._s(_vm.text || _vm.label) + " ")] : _vm._e()], 2)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
